Quando si installa per la prima volta BlogEngine.NET potrebbe capitare di ottenere l’errore “A potentially dangerous Request.Form value was detected” quando si cerca di salvare un post. Questo errore potrebbe essere dovuto al fatto che si è installato il blog su di una macchina server configurata con Microsoft Framework .NET 4.0. Per ovviare a questo fastidioso errore è necessario semplicemente inserire, nel file Web.Config presente nella root del proprio blog, la dicitura:

<system.web>
     <httpRuntime requestValidationMode=2.0/>
</
system.web>

L’errore è dovuto all’editor di testo TinyMCE che salva in formato HTML, potenzialmente pericoloso; in questo modo avremo detto al blog di utilizzare la validazione del Framework .NET 2.0

There are currently no comments.